rm /home/services/op-web-service/logs/start_script.done
cd /home/services/op-web-service/htdocs/
mv /opt/project_lib/node_modules /home/services/op-web-service/htdocs/

env=$1
port=$2

if [ X"$port" == X"" ];then
  port=8055
fi

cd /home/services/op-web-service/htdocs/

if [ X"$env" == X"prod" ];then
    echo "{\"pm2-logrotate\":{\"max_size\":\"524288000\",\"interval\":\"7\",\"retain\":\"10\"},\"module-db\":{\"pm2-logrotate\":true}}" > /root/.pm2/module_conf.json
    pm2 start pm2.json
else
    PORT=$port NODE_ENV=$env pm2 start app.js --name 'opwebservice' --watch
fi

while true; do
    s=`netstat -ntl | grep ":${port}" -c`
    if [ "X$s" != "X" ] && [ "$s" != "0" ]; then
        break
    fi
    pm2 restart all;
    sleep 10;
done

touch /home/services/op-web-service/logs/start_script.done
while true;do
sleep 30;done
